Skip to content
Permalink
Browse files

Fix corresponding dox and update debug message

  • Loading branch information
DelazJ authored and nyalldawson committed Mar 6, 2020
1 parent f8bedd8 commit 50c4efb6ca3b02133109f4d9f7b58f6d703cc560
@@ -170,7 +170,7 @@ Either the ``parent`` widget must be set or the caller becomes
responsible for deleting the returned widget.

.. deprecated::
QGIS 3.10 - use QgsGui.providerGuiRegistry()->sourceSelectProviders(providerKey)[0]->createDataSourceWidget() instead
QGIS 3.10 - use QgsGui.sourceSelectProviderRegistry()->createDataSourceWidget() instead
%End

QList< QgsDataItemProvider * > dataItemProviders( const QString &providerKey ) const /Factory/;
@@ -576,7 +576,7 @@ QWidget *QgsProviderRegistry::createSelectionWidget( const QString &providerKey,
Q_UNUSED( parent );
Q_UNUSED( fl );
Q_UNUSED( widgetMode );
QgsDebugMsg( "deprecated call - use QgsGui::providerGuiRegistry()->sourceSelectProviders(providerKey)[0]->createDataSourceWidget() instead" );
QgsDebugMsg( "deprecated call - use QgsGui::sourceSelectProviderRegistry()->createDataSourceWidget() instead" );
return nullptr;
}

@@ -436,3 +436,4 @@ class CORE_EXPORT QgsProviderRegistry
}; // class QgsProviderRegistry

#endif //QGSPROVIDERREGISTRY_H

0 comments on commit 50c4efb

Please sign in to comment.
You can’t perform that action at this time.